ReactPhysics3D: reactphysics3d::CapsuleVsCapsuleAlgorithm Class Reference

| ReactPhysics3D v0.10.2 C++ Physics engine library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
reactphysics3d::CapsuleVsCapsuleAlgorithm Class Reference

This class is used to compute the narrow-phase collision detection between two capsules collision shapes. More...

`#include <include/reactphysics3d/collision/narrowphase/CapsuleVsCapsuleAlgorithm.h>`

Inheritance diagram for reactphysics3d::CapsuleVsCapsuleAlgorithm:

## Public Member Functions
| CapsuleVsCapsuleAlgorithm ()=default
| Constructor.
virtual | ~CapsuleVsCapsuleAlgorithm () override=default
| Destructor.
| CapsuleVsCapsuleAlgorithm (const CapsuleVsCapsuleAlgorithm &algorithm)=delete
| Deleted copy-constructor.
CapsuleVsCapsuleAlgorithm & | operator= (const CapsuleVsCapsuleAlgorithm &algorithm)=delete
| Deleted assignment operator.
bool | testCollision (NarrowPhaseInfoBatch &narrowPhaseInfoBatch, uint32 batchStartIndex, uint32 batchNbItems, MemoryAllocator &memoryAllocator)
| Compute the narrow-phase collision detection between two capsules.
Public Member Functions inherited from reactphysics3d::NarrowPhaseAlgorithm
| NarrowPhaseAlgorithm ()=default
| Constructor.
virtual | ~NarrowPhaseAlgorithm ()=default
| Destructor.
| NarrowPhaseAlgorithm (const NarrowPhaseAlgorithm &algorithm)=delete
| Deleted copy-constructor.
NarrowPhaseAlgorithm & | operator= (const NarrowPhaseAlgorithm &algorithm)=delete
| Deleted assignment operator.

## Detailed Description

This class is used to compute the narrow-phase collision detection between two capsules collision shapes.

We do not use the GJK or SAT algorithm here. We directly compute the contact points and contact normal. This is based on the "Robust Contact Creation for Physics Simulation" presentation by Dirk Gregorius.

The documentation for this class was generated from the following files:

- include/reactphysics3d/collision/narrowphase/CapsuleVsCapsuleAlgorithm.h
- src/collision/narrowphase/CapsuleVsCapsuleAlgorithm.cpp